Gets transaction info
curl --request GET \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manualReviewLink": "<string>",
"documents": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resultFiles": [
{
"fileId": "<string>",
"fileName": "<string>"
}
],
"classification": {
"isResultClassConfident": true,
"resultClass": {
"id": "<string>",
"name": "<string>"
},
"classConfidences": [
{
"classId": "<string>",
"className": "<string>",
"confidence": 123
}
]
},
"businessRulesErrors": [
{
"errorType": "<string>",
"ruleId": "<string>",
"currentFieldId": "<string>",
"customMessage": "<string>"
}
]
}
],
"error": "<string>",
"sourceFiles": [
{
"id": "<string>",
"name": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Transactions
Gets transaction info
Gets the details of the transaction, including the link to the results if processing has finished, or the manual review link if manual review is needed.
GET
/
api
/
publicapi
/
v1
/
transactions
/
{transactionId}
Gets transaction info
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Transaction identifier. You receive it in the response after the transaction has been successfully created.
Response
Transaction info is successfully returned
Was this page helpful?
⌘I
